Subject: bug#3071: 23.0.92; accept-process-output broken on MacOS

From: Alan Third <[email-masked]>
Date: Thu, 11 Feb 2016 20:24:38 +0000

YAMAMOTO Mitsuharu <[email-masked]> writes:

>>>>>> On Tue, 21 Apr 2009 08:52:04 -0400, David Abrahams <[email-masked]> said:
>
>> Opening remote files/directories via TRAMP is wicked slow on MacOS;
>> the same operation on a linux emacs running on the same hardware is
>> practically instantaneous.
>
>> In GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.2, NS apple-appkit-949.43)
>>  of 2009-04-19 on zreba.local
>> Windowing system distributor `Apple', version 10.3.949
>> configured using `configure  '--with-ns' '--with-jpeg' '--with-tiff' '--with-gif''
>
> I tried the following steps with both the Cocoa/GNUstep port and the
> X11 build on the same machine running Mac OS X 10.5.6.  Both are
> compiled from the latest CVS trunk.
>
>   1. Start Emacs with the `-Q' option.
>   2. C-x C-f /sshx:remotehost: RET  (remotehost is running Solaris)
>
> The Cocoa/GNUstep port was much slower (~20 sec. to list the home
> directory) than the X11 build (< 2 sec.).

I've just tried this on Emacs 25 and it all seems pretty snappy. If
anyone is still finding it to be slow please let meknow, otherwise I'll
close this bug as fixed.
-- 
Alan Third